--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: bot
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: botmodules
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: maps
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Singleton to manage multiple plugins and delegate messages to them for handling
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: This is the list of patterns commonly delegated to plugins. A fast delegation lookup is enabled for them.
  name: DEFAULT_DELEGATE_PATTERNS
  value: "%r{^(?:       connect|names|nick|       listen|ctcp_listen|privmsg|unreplied|       kick|join|part|quit|       save|cleanup|flush_registry|       set_.*|event_.*     )$}x"
full_name: Irc::Bot::Plugins::PluginManagerClass
includes: 
- !ruby/object:RI::IncludedModule 
  name: Singleton
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: add_botmodule
- !ruby/object:RI::MethodSummary 
  name: add_botmodule_dir
- !ruby/object:RI::MethodSummary 
  name: bot_associate
- !ruby/object:RI::MethodSummary 
  name: cleanup
- !ruby/object:RI::MethodSummary 
  name: clear_botmodule_dirs
- !ruby/object:RI::MethodSummary 
  name: commands
- !ruby/object:RI::MethodSummary 
  name: core_length
- !ruby/object:RI::MethodSummary 
  name: core_modules
- !ruby/object:RI::MethodSummary 
  name: delegate
- !ruby/object:RI::MethodSummary 
  name: help
- !ruby/object:RI::MethodSummary 
  name: helptopics
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: irc_delegate
- !ruby/object:RI::MethodSummary 
  name: length
- !ruby/object:RI::MethodSummary 
  name: mark_priorities_dirty
- !ruby/object:RI::MethodSummary 
  name: plugins
- !ruby/object:RI::MethodSummary 
  name: privmsg
- !ruby/object:RI::MethodSummary 
  name: register
- !ruby/object:RI::MethodSummary 
  name: register_map
- !ruby/object:RI::MethodSummary 
  name: report_error
- !ruby/object:RI::MethodSummary 
  name: rescan
- !ruby/object:RI::MethodSummary 
  name: reset_botmodule_lists
- !ruby/object:RI::MethodSummary 
  name: save
- !ruby/object:RI::MethodSummary 
  name: scan
- !ruby/object:RI::MethodSummary 
  name: sort_modules
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: who_handles?
name: PluginManagerClass
superclass: Object
